/' Orx - Portable Game Engine
 *
 * Orx is the legal property of its developers, whose names
 * are listed in the COPYRIGHT file distributed 
 * with this source distribution.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.

 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 '/

/'*
 * @file orxInclude.h
 * @date 12/09/2005
 * @author iarwain@orx-project.org
 *
 * @todo
 * - Add unicode support (all to unicode)
 * - Add optimized string handling (using CRC + hash)
 * - Add multi animation interpreter (for blends, transitions, etc...)
 * - Add fixed point decimals
 * - Add Matrix module
 * - Update camera to use matrix
 * - Update camera to use 3D-like computation
 * - Add scripting integration
 * - Add network :)
 * - Add waypoint/way system
 * - Restore generic pathfinder module
 '/

/'*
 * @addtogroup Orx
 * 
 * Local include file
 *
 * @{
 '/


#ifndef _orxINCLUDE_BI
#define _orxINCLUDE_BI


/'* Includes
 '/
#include "orx/base/orxModule.bi"


#endif /' _orxINCLUDE_BI '/

/'* @} '/
